<?php
/**
 * ajax-query.php
 *
 * @author LeapIn Corp.
 * @since 1.0.0
 */
?>
<?php
// ajax url
function leapin_add_ajax_url($SCRIPT_MODs)
{
    $SCRIPT_MODs['ajax_url'] = esc_url(admin_url('admin-ajax.php'));
    $SCRIPT_MODs['ajax_post_type'] = 'post';
    return $SCRIPT_MODs;
}

add_filter('leapin_add_script_properties', 'leapin_add_ajax_url');

/**
 * Call ajax to get post json
 */
function leapin_ajax_call()
{
    $json = '';
    if (isset($_POST['call_type'])) {

        $cq = new LEAPIN_Query();

        // get thumbnail
        if (LEAPIN_Query::$CALL_TYPE == LEAPIN_Query::$LEAPIN_NAV_THUMBNAIL) {
            $json = $cq->get_leapin_thumbnail_url();

            // get posts
        } elseif (LEAPIN_Query::$CALL_TYPE == LEAPIN_Query::$LEAPIN_POSTS) {
            $json = $cq->the_leapin_posts(true);

            // get posts in the tax
        } elseif (LEAPIN_Query::$CALL_TYPE == LEAPIN_Query::$LEAPIN_NAV_TAXONOMY) {
            $json = $cq->the_leapin_taxonomy();

            // get a post in nav
        } elseif (LEAPIN_Query::$CALL_TYPE == LEAPIN_Query::$LEAPIN_NAV_SINGLE) {
            $json = $cq->the_leapin_single();
        }

    } else {
        // no call type error
    }

    echo apply_filters('leapin_ajax_call_json', $json, $_POST);
    die();

}

add_action('wp_ajax_leapin_ajax_call', 'leapin_ajax_call');
add_action('wp_ajax_nopriv_leapin_ajax_call', 'leapin_ajax_call');
