<?php
/**
 * Primary Menu Setting
 *
 * @author LeapIn Corp.
 * @since 1.0.0
 */
$panel = 'leapin_settings';
$section = 'leapin_features_section';
LEAPIN_IDs::initPriority();

$wp_customize->add_section($section_id = $section, array(
    'title' => __('Feature Area', 'pjax-blog'),
    'panel' => $panel,
    'description' => '<em>' . __('This section handles the all default settings for your website Main Header Menu. Choose the best colors that suites your company and personality.', 'pjax-blog') . '</em>', // Include html tags such as <p>.
    'priority' => 35, // Mixed with top-level-section hierarchy.
));
/**
 * Feature Button On Header
 */
$wp_customize->add_setting($setting_id = LEAPIN_IDs::$leapin_feature_hb_heading, array(
    'type' => 'theme_mod', // or 'option'
    'sanitize_callback' => 'leapin_sanitize_mock',
));
$wp_customize->add_control(new LEAPIN_Heading_Customize_Control($wp_customize, LEAPIN_IDs::$leapin_feature_hb_heading, array(
    'settings' => LEAPIN_IDs::$leapin_feature_hb_heading,
    'label' => __('Feature Button On Header', 'pjax-blog'),
    'section' => $section,
    'priority' => LEAPIN_IDs::getPriority()
)));

/**
 * Hide Button
 */
$wp_customize->add_setting($setting_id = LEAPIN_IDs::$leapin_feature_hb_hide, array(
    'type' => 'theme_mod', // or 'option'
    'capability' => 'manage_options',
    'default' => false,
    'transport' => LEAPIN_IDs::$postMessage,
    'sanitize_callback' => 'leapin_sanitize_checkbox'
));

$wp_customize->add_control(LEAPIN_IDs::$leapin_feature_hb_hide, array(
    'settings' => LEAPIN_IDs::$leapin_feature_hb_hide,
    'label' => __('Hide Button', 'pjax-blog'),
    'section' => $section,
    'type' => 'checkbox',
    'priority' => LEAPIN_IDs::getPriority()
));

/**
 * Main Label
 */
$wp_customize->add_setting($setting_id = LEAPIN_IDs::$leapin_feature_hb_label, array(
    'type' => 'theme_mod', // or 'option'
    'capability' => 'manage_options',
    'transport' => LEAPIN_IDs::$refresh,
    'default' => LEAPIN_Theme_Mod::$default_leapin_feature_hb_label,
    'sanitize_callback' => 'leapin_sanitize_text',
));
$wp_customize->add_control(LEAPIN_IDs::$leapin_feature_hb_label, array(
    'label' => __('Main Label', 'pjax-blog'),
    'section' => $section,
    'type' => 'text',
    'priority' => LEAPIN_IDs::getPriority()
));

/**
 * Sub Label
 */
$wp_customize->add_setting($setting_id = LEAPIN_IDs::$leapin_feature_hb_label_sub, array(
    'type' => 'theme_mod', // or 'option'
    'capability' => 'manage_options',
    'transport' => LEAPIN_IDs::$refresh,
    'default' => LEAPIN_Theme_Mod::$default_leapin_feature_hb_label_sub,
    'sanitize_callback' => 'leapin_sanitize_text',
));
$wp_customize->add_control(LEAPIN_IDs::$leapin_feature_hb_label_sub, array(
    'label' => __('Sub Label', 'pjax-blog'),
    'section' => $section,
    'type' => 'text',
    'priority' => LEAPIN_IDs::getPriority()
));

/**
 * Icon
 */
$wp_customize->add_setting($setting_id = LEAPIN_IDs::$leapin_feature_hb_icon, array(
    'type' => 'theme_mod', // or 'option'
    'capability' => 'manage_options',
    'transport' => LEAPIN_IDs::$refresh,
    'default' => LEAPIN_Theme_Mod::$default_leapin_feature_hb_icon,
    'sanitize_callback' => 'leapin_sanitize_i_tag',
));
$wp_customize->add_control(LEAPIN_IDs::$leapin_feature_hb_icon, array(
    'label' => __('Icon', 'pjax-blog'),
    'section' => $section,
    'type' => 'text',
    'description' => sprintf(__('Choose your favorite icon from <a href="%s" target="_blank">Font Awesome</a>.', 'pjax-blog'), 'https://fontawesome.com/icons?d=gallery&m=free'),
    'priority' => LEAPIN_IDs::getPriority()
));

/**
 * Link URL
 */
$wp_customize->add_setting($setting_id = LEAPIN_IDs::$leapin_feature_hb_href, array(
    'type' => 'theme_mod', // or 'option'
    'capability' => 'manage_options',
    'transport' => LEAPIN_IDs::$refresh,
    'default' => LEAPIN_Theme_Mod::$default_leapin_feature_hb_href,
    'sanitize_callback' => 'esc_url_raw',
));
$wp_customize->add_control(LEAPIN_IDs::$leapin_feature_hb_href, array(
    'label' => __('Link URL', 'pjax-blog'),
    'section' => $section,
    'type' => 'text',
    'priority' => LEAPIN_IDs::getPriority()
));

/**
 * Open In New Window
 */
$wp_customize->add_setting($setting_id = LEAPIN_IDs::$leapin_feature_hb_link_target, array(
    'type' => 'theme_mod', // or 'option'
    'capability' => 'manage_options',
    'default' => false,
    'transport' => LEAPIN_IDs::$postMessage,
    'sanitize_callback' => 'leapin_sanitize_checkbox'
));

$wp_customize->add_control(LEAPIN_IDs::$leapin_feature_hb_link_target, array(
    'settings' => LEAPIN_IDs::$leapin_feature_hb_link_target,
    'label' => __('Open In New Window?', 'pjax-blog'),
    'section' => $section,
    'type' => 'checkbox',
    'priority' => LEAPIN_IDs::getPriority()
));

/**
 * Font Color
 */
$wp_customize->add_setting($setting_id = LEAPIN_IDs::$leapin_feature_hb_font_color, array(
    'type' => 'theme_mod', // or 'option'
    'capability' => 'manage_options',
    'transport' => LEAPIN_IDs::$refresh,
    'sanitize_callback' => 'leapin_sanitize_rgba_color'
));
$wp_customize->add_control(new LEAPIN_Customize_Alpha_Color_Control($wp_customize, LEAPIN_IDs::$leapin_feature_hb_font_color, array(
    'label' => __('Font Color', 'pjax-blog'),
    'section' => $section,
    'settings' => LEAPIN_IDs::$leapin_feature_hb_font_color,
    'show_opacity' => true,
    'priority' => LEAPIN_IDs::getPriority()
)));

/**
 * Button Background Color
 */
$wp_customize->add_setting($setting_id = LEAPIN_IDs::$leapin_feature_hb_bg_color, array(
    'type' => 'theme_mod', // or 'option'
    'capability' => 'manage_options',
    'default' => LEAPIN_Theme_Mod::$default_leapin_feature_hb_bg_color,
    'transport' => LEAPIN_IDs::$refresh,
    'sanitize_callback' => 'leapin_sanitize_rgba_color'
));
$wp_customize->add_control(new LEAPIN_Customize_Alpha_Color_Control($wp_customize, LEAPIN_IDs::$leapin_feature_hb_bg_color, array(
    'label' => __('Button Background Color', 'pjax-blog'),
    'section' => $section,
    'settings' => LEAPIN_IDs::$leapin_feature_hb_bg_color,
    'show_opacity' => true,
    'priority' => LEAPIN_IDs::getPriority()
)));

/**
 * Mobile Background Color (Gradient)
 */
$wp_customize->add_setting($setting_id = LEAPIN_IDs::$leapin_feature_hb_bg_color_gradient, array(
    'type' => 'theme_mod', // or 'option'
    'capability' => 'manage_options',
    'transport' => LEAPIN_IDs::$refresh,
    'sanitize_callback' => 'leapin_sanitize_rgba_color'
));
$wp_customize->add_control(new LEAPIN_Customize_Alpha_Color_Control($wp_customize, LEAPIN_IDs::$leapin_feature_hb_bg_color_gradient, array(
    'label' => __('Button Background Color (For gradient)', 'pjax-blog'),
    'section' => $section,
    'description' => __('Gradient background color enabled when setting both "Button Background Color" above and this.', 'pjax-blog'),
    'settings' => LEAPIN_IDs::$leapin_feature_hb_bg_color_gradient,
    'show_opacity' => true,
    'priority' => LEAPIN_IDs::getPriority()
)));
