<?php

/**
 * class LEAPIN_General_Settings
 *
 * @author LeapIn Corp.
 * @since 1.0.0
 */
class LEAPIN_General_Settings
{

    public static $leapin_mods;

    public function __construct()
    {
        self::$leapin_mods = LEAPIN_Theme_Mod::get_instance();
        $this->registerActionHooks();
        return $this;

    }

    public function registerActionHooks()
    {

        add_action('customize_register', array($this, 'registerCustomizer'));
        return $this;

    }


    public function registerCustomizer($wp_customize)
    {

        $wp_customize->add_panel('leapin_settings', array(
            'title' => __('Pjax Blog Settings', 'pjax-blog'),
            'priority' => 1, // Mixed with top-level-section hierarchy.
        ));
        $this->registerCustomizerSettings('pjax/options', $wp_customize);
        $this->registerCustomizerSettings('layout', $wp_customize);
        $this->registerCustomizerSettings('profile', $wp_customize);
        $this->registerCustomizerSettings('widget', $wp_customize);
        $this->registerCustomizerSettings('other', $wp_customize);
        $this->registerCustomizerSettings('help', $wp_customize);

        return $this;
    }

    public function registerCustomizerSettings($file_handle = '', $wp_customize)
    {

        require_once get_template_directory() . '/inc/general-settings/' . $file_handle . '.php';

        return $this;
    }

    public static function get_the_layout()
    {

        $mod_home = self::$leapin_mods->get(LEAPIN_IDs::$leapin_layouts_home, LEAPIN_Theme_Mod::$default_leapin_layouts_home);
        $mod_general = self::$leapin_mods->get(LEAPIN_IDs::$leapin_layouts_general, LEAPIN_Theme_Mod::$default_leapin_layouts_general);

        if ((is_home() || is_front_page()) && $mod_home != LEAPIN_Theme_Mod::$default_leapin_layouts_home) {
            $layout = $mod_home;

        } elseif (is_singular() && (!empty(self::leapin_get_layout_single()) && self::leapin_get_layout_single() != 'default')) {
            $layout = self::leapin_get_layout_single();

        } else {
            $layout = $mod_general;
        }

        return $layout;
    }

    public static function leapin_get_layout_single()
    {
        return get_post_meta(get_the_ID(), 'leapin_layouts_single', true);
    }

    public static function get_sns_links()
    {
        $urls = LEAPIN_Single_Tags::get_org_sns_urls();
        $echo = LEAPIN_Single_Tags::get_sns_links($urls);
        return $echo;
    }
}
new LEAPIN_General_Settings();
