<?php
/**
 * Help Section
 *
 * @author LeapIn Corp.
 * @since 1.6.13
 */
$panel = 'leapin_settings';
$section = 'leapin_help_section';
LEAPIN_IDs::initPriority();

$wp_customize->add_section($section, array(
    'title' => __('Help', 'pjax-blog'),
    'panel' => $panel,
    'description' => __('Need help? Please visit sites below to get support.', 'pjax-blog'),
    'priority' => 1000,
    'capability' => 'manage_options',
));


/**
 * Plugin
 */
$wp_customize->add_setting($setting_id = LEAPIN_IDs::$leapin_help_plugin, array(
    'type' => 'theme_mod', // or 'option'
    'sanitize_callback' => 'leapin_sanitize_mock',
));
$wp_customize->add_control(new LEAPIN_Heading_Customize_Control($wp_customize, LEAPIN_IDs::$leapin_help_plugin, array(
    'settings' => LEAPIN_IDs::$leapin_help_plugin,
    'label' => __('Install Addon', 'pjax-blog'),
    'description' => sprintf('%s<br><a href="https://leap-in.com/plugin-pjax-blog-bundle/" target="_blank">%s</a>', __('Strongly recommend to install Pjax Blog Bundle which contains page speed optimization and additional options in customize panel.', 'pjax-blog'), __('Download Page', 'pjax-blog')),
    'section' => $section,
    'priority' => LEAPIN_IDs::getPriority()
)));

/**
 * Links
 */
$wp_customize->add_setting($setting_id = LEAPIN_IDs::$leapin_help_links, array(
    'type' => 'theme_mod', // or 'option'
    'sanitize_callback' => 'leapin_sanitize_mock',
));
$wp_customize->add_control(new LEAPIN_Heading_Customize_Control($wp_customize, LEAPIN_IDs::$leapin_help_links, array(
    'settings' => LEAPIN_IDs::$leapin_help_links,
    'label' => __('Links', 'pjax-blog'),
    'section' => $section,
    'description' => sprintf('<a href="https://leap-in.com/documents/" target="_blank">%s</a><br>', __('Document', 'pjax-blog')) .
        sprintf('<a href="https://leap-in.com/forums/forum/support-forum/" target="_blank">%s</a><br>', __('Forum', 'pjax-blog')) .
        sprintf('<a href="https://demo.leap-in.com/pjax-blog-1/category/features/" target="_blank">%s</a><br>', __('Features', 'pjax-blog')) .
        sprintf('<a href="https://leap-in.com/" target="_blank">%s</a>', __('Website', 'pjax-blog')),
    'priority' => LEAPIN_IDs::getPriority()
)));