<?php
/**
 * Widget Additional Setting
 *
 * @author LeapIn Corp.
 * @since 1.0.0
 */
$panel = 'leapin_settings';
$section = 'leapin_widget_section';

$wp_customize->add_section( $section, array(
	'title' => __( 'Widget', 'pjax-blog' ),
    'panel' => $panel,
	'description' => __( 'Set desired widget option as you like.', 'pjax-blog' ),
	'priority' => 60,
	'capability' => 'edit_theme_options',
));

/**
 * [Pjax Blog] Blog Posts Section
 */
$wp_customize->add_setting($setting_id = LEAPIN_IDs::$leapin_widget_rich_post_heading, array(
    'type' => 'theme_mod', // or 'option'
    'sanitize_callback' => 'leapin_sanitize_mock',
));
$wp_customize->add_control(new LEAPIN_Heading_Customize_Control($wp_customize, LEAPIN_IDs::$leapin_widget_rich_post_heading, array(
    'settings' => LEAPIN_IDs::$leapin_widget_rich_post_heading,
    'label' => __('[Pjax Blog] Blog Posts Widget Options', 'pjax-blog'),
    'section' => $section,
)));

/**
 * Post Border Radius
 */
$wp_customize->add_setting($setting_id = LEAPIN_IDs::$leapin_widget_post_border_radius, array(
    'type' => 'theme_mod', // or 'option'
    'capability' => 'manage_options',
    'transport' => LEAPIN_IDs::$refresh,
    'default' => LEAPIN_Theme_Mod::$default_leapin_widget_post_border_radius,
    'sanitize_callback' => 'leapin_sanitize_number',
));
$wp_customize->add_control(LEAPIN_IDs::$leapin_widget_post_border_radius, array(
    'label' => __('Blog Post Border Radius(px):', 'pjax-blog'),
    'section' => $section,
    'type' => 'number',
));

/**
 * Thumbnail Border Radius
 */
$wp_customize->add_setting($setting_id = LEAPIN_IDs::$leapin_widget_thumb_border_radius, array(
    'type' => 'theme_mod', // or 'option'
    'capability' => 'manage_options',
    'transport' => LEAPIN_IDs::$refresh,
    'default' => LEAPIN_Theme_Mod::$default_leapin_widget_thumb_border_radius,
    'sanitize_callback' => 'leapin_sanitize_number',
));
$wp_customize->add_control(LEAPIN_IDs::$leapin_widget_thumb_border_radius, array(
    'label' => __('Blog Post Thumbnail Border Radius(px):', 'pjax-blog'),
    'section' => $section,
    'type' => 'number',
));

/**
 * Read More Label
 */
$wp_customize->add_setting($setting_id = LEAPIN_IDs::$leapin_widget_post_read_more_label, array(
    'type' => 'theme_mod', // or 'option'
    'capability' => 'manage_options',
    'transport' => LEAPIN_IDs::$refresh,
    'default' => LEAPIN_Theme_Mod::$default_leapin_widget_post_read_more_label,
    'sanitize_callback' => 'leapin_sanitize_text',
));
$wp_customize->add_control(LEAPIN_IDs::$leapin_widget_post_read_more_label, array(
    'label' => __('Default Read More Label', 'pjax-blog'),
    'section' => $section,
    'description' => __( 'Set default Read More Label of Each Post. It will apply for the button label inputs of Edit Page of new Post.', 'pjax-blog' ),
    'type' => 'text',
));

/**
 * More Post Label
 */
$wp_customize->add_setting($setting_id = LEAPIN_IDs::$leapin_widget_post_more_label, array(
    'type' => 'theme_mod', // or 'option'
    'capability' => 'manage_options',
    'transport' => LEAPIN_IDs::$refresh,
    'default' => __('More', 'pjax-blog'),
    'sanitize_callback' => 'leapin_sanitize_text',
));
$wp_customize->add_control(LEAPIN_IDs::$leapin_widget_post_more_label, array(
    'label' => __('More Label', 'pjax-blog'),
    'section' => $section,
    'description' => __( 'Set the label of the button to fetch more posts.', 'pjax-blog' ),
    'type' => 'text',
));

/**
 * More Post Button BG color
 */
//$wp_customize->add_setting($setting_id = LEAPIN_IDs::$leapin_widget_post_more_bg_color, array(
//    'type' => 'theme_mod',
//    'capability' => 'manage_options',
//    'default' => '',
//    'transport' => LEAPIN_IDs::$refresh,
//    'sanitize_callback' => 'leapin_sanitize_rgba_color',
//));
//$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, LEAPIN_IDs::$leapin_widget_post_more_bg_color, array(
//    'label' => __('More Post Button BG color', 'pjax-blog'),
//    'section' => $section,
//    'description' => __( 'Set desired background color of the arrow button for the type container.', 'pjax-blog' ),
//    'settings' => LEAPIN_IDs::$leapin_widget_post_more_bg_color,
//)));

/**
 * Activate Post Fade In Animation
 */
//if(leapin_is_pro()){
//
//$wp_customize->add_setting( $setting_id = LEAPIN_IDs::$leapin_widget_post_animation, array(
//    'type' => 'theme_mod', // or 'option'
//    'capability' => 'manage_options',
//    'transport' => LEAPIN_IDs::$refresh,
//    'sanitize_callback' => 'leapin_sanitize_checkbox'
//));
//
//$wp_customize->add_control( LEAPIN_IDs::$leapin_widget_post_animation, array(
//    'type' => 'checkbox',
//    'label' => __('Fade-In Posts Animation', 'pjax-blog'),
//    'section' => $section,
//    'description' => __('Add fade-in animation to blog post.', 'pjax-blog')
//));
//}else{
//    $wp_customize->add_setting($setting_id = LEAPIN_IDs::$leapin_widget_post_animation, array(
//        'type' => 'theme_mod', // or 'option'
//        'sanitize_callback' => 'leapin_sanitize_mock',
//    ));
//    $wp_customize->add_control(new Heading_Customize_Control($wp_customize, LEAPIN_IDs::$leapin_widget_post_animation, array(
//        'settings' => LEAPIN_IDs::$leapin_widget_post_animation,
//        'label' => __('Fade-In Posts Animation', 'pjax-blog') . LEAPIN_Theme_Mod::get_upgrade_label(),
//        'section' => $section,
//        'description' => LEAPIN_Theme_Mod::$upgrade_desc_leapin_widget_post_animation,
//        'type' => 'checkbox',
//        'priority' => 20,
//    )));
//}
