<?php
/**
 * Mobile Menu Setting
 *
 * @author LeapIn Corp.
 * @since 1.0.0
 */
$panel = 'leapin_settings';
$section = 'leapin_mobile_menu';
LEAPIN_IDs::initPriority();

$wp_customize->add_section($section_id = $section, array(
    'title' => __('Mobile Menu', 'pjax-blog'),
    'panel' => $panel,
    'description' => '<em>' . __('This section handles the all default settings for your bottom right menu mainly used for mobile. Choose the best colors that suites your company and personality.', 'pjax-blog') . '</em>',
    'priority' => 30, // Mixed with top-level-section hierarchy.
));

/**
 * Mobile Menu Button Display
 */
$wp_customize->add_setting($setting_id = LEAPIN_IDs::$leapin_mobile_menu_button_display, array(
    'type' => 'theme_mod', // or 'option'
    'capability' => 'manage_options',
    'default' => LEAPIN_Theme_Mod::$default_leapin_mobile_menu_button_display,
    'transport' => LEAPIN_IDs::$refresh,
    'sanitize_callback' => 'leapin_sanitize_text',
));

$wp_customize->add_control(LEAPIN_IDs::$leapin_mobile_menu_button_display, array(
    'type' => 'radio',
    'label' => __('Show In:', 'pjax-blog'),
    'section' => $section,
    'choices' => LEAPIN_Theme_Mod::$choice_leapin_mobile_menu_button_display,
    'priority' => LEAPIN_IDs::getPriority()
));

/**
 * Mobile Menu Button Background Color
 */
$wp_customize->add_setting($setting_id = LEAPIN_IDs::$leapin_mobile_menu_button_bg_color, array(
    'type' => 'theme_mod', // or 'option'
    'capability' => 'manage_options',
    'default' => '',
    'transport' => LEAPIN_IDs::$refresh,
    'sanitize_callback' => 'leapin_sanitize_rgba_color'
));

$wp_customize->add_control(new LEAPIN_Customize_Alpha_Color_Control($wp_customize, LEAPIN_IDs::$leapin_mobile_menu_button_bg_color, array(
    'label' => __('Button\'s Background Color', 'pjax-blog'),
    'section' => $section,
    'settings' => LEAPIN_IDs::$leapin_mobile_menu_button_bg_color,
    'show_opacity' => true,
    'priority' => LEAPIN_IDs::getPriority()
)));

/**
 * Mobile Menu Button Color
 */
$wp_customize->add_setting($setting_id = LEAPIN_IDs::$leapin_mobile_menu_button_color, array(
    'type' => 'theme_mod', // or 'option'
    'capability' => 'manage_options',
    'default' => '',
    'transport' => LEAPIN_IDs::$refresh,
    'sanitize_callback' => 'leapin_sanitize_rgba_color'
));

$wp_customize->add_control(new LEAPIN_Customize_Alpha_Color_Control($wp_customize, LEAPIN_IDs::$leapin_mobile_menu_button_color, array(
    'label' => __('Button\'s Color', 'pjax-blog'),
    'section' => $section,
    'settings' => LEAPIN_IDs::$leapin_mobile_menu_button_color,
    'show_opacity' => true,
    'priority' => LEAPIN_IDs::getPriority()
)));

/**
 * Mobile Menu Logo Color
 */
$wp_customize->add_setting($setting_id = LEAPIN_IDs::$leapin_mobile_menu_logo_color, array(
    'type' => 'theme_mod', // or 'option'
    'capability' => 'manage_options',
    'default' => '',
    'transport' => LEAPIN_IDs::$postMessage,
    'sanitize_callback' => 'leapin_sanitize_rgba_color'
));

$wp_customize->add_control(new LEAPIN_Customize_Alpha_Color_Control($wp_customize, LEAPIN_IDs::$leapin_mobile_menu_logo_color, array(
    'label' => __('Logo Color', 'pjax-blog'),
    'section' => $section,
    'settings' => LEAPIN_IDs::$leapin_mobile_menu_logo_color,
    'show_opacity' => true,
    'priority' => LEAPIN_IDs::getPriority()
)));

/**
 * Mobile Default State Color
 */
$wp_customize->add_setting($setting_id = LEAPIN_IDs::$leapin_mobile_menu_link_color, array(
    'type' => 'theme_mod', // or 'option'
    'capability' => 'manage_options',
    'default' => '',
    'transport' => LEAPIN_IDs::$refresh,
    'sanitize_callback' => 'leapin_sanitize_rgba_color'
));
$wp_customize->add_control(new LEAPIN_Customize_Alpha_Color_Control($wp_customize, LEAPIN_IDs::$leapin_mobile_menu_link_color, array(
    'label' => __('Link Color', 'pjax-blog'),
    'section' => $section,
    'settings' => LEAPIN_IDs::$leapin_mobile_menu_link_color,
    'show_opacity' => true,
    'priority' => LEAPIN_IDs::getPriority()
)));

/**
 * Mobile Hover State Color
 */
$wp_customize->add_setting($setting_id = LEAPIN_IDs::$leapin_mobile_menu_link_bg_color_hover, array(
    'type' => 'theme_mod', // or 'option'
    'capability' => 'manage_options',
    'default' => '',
    'transport' => LEAPIN_IDs::$refresh,
    'sanitize_callback' => 'leapin_sanitize_rgba_color'
));
$wp_customize->add_control(new LEAPIN_Customize_Alpha_Color_Control($wp_customize, LEAPIN_IDs::$leapin_mobile_menu_link_bg_color_hover, array(
    'label' => __('Link Hover Background Color', 'pjax-blog'),
    'section' => $section,
    'settings' => LEAPIN_IDs::$leapin_mobile_menu_link_bg_color_hover,
    'show_opacity' => true,
    'priority' => LEAPIN_IDs::getPriority()
)));

/**
 * Mobile Background Color (From)
 */
$wp_customize->add_setting($setting_id = LEAPIN_IDs::$leapin_mobile_menu_bg_color, array(
    'type' => 'theme_mod', // or 'option'
    'capability' => 'manage_options',
    'default' => '',
    'transport' => LEAPIN_IDs::$refresh,
    'sanitize_callback' => 'leapin_sanitize_rgba_color'
));
$wp_customize->add_control(new LEAPIN_Customize_Alpha_Color_Control($wp_customize, LEAPIN_IDs::$leapin_mobile_menu_bg_color, array(
    'label' => __('Mobile Menu Background Color', 'pjax-blog'),
    'section' => $section,
    'settings' => LEAPIN_IDs::$leapin_mobile_menu_bg_color,
    'show_opacity' => true,
    'priority' => LEAPIN_IDs::getPriority()
)));

/**
 * hide SNS Buttons
 */
$wp_customize->add_setting($setting_id = LEAPIN_IDs::$leapin_mobile_menu_hide_sns_btns, array(
    'type' => 'theme_mod', // or 'option'
    'capability' => 'manage_options',
    'transport' => LEAPIN_IDs::$postMessage,
    'sanitize_callback' => 'leapin_sanitize_checkbox'
));

$wp_customize->add_control(LEAPIN_IDs::$leapin_mobile_menu_hide_sns_btns, array(
    'settings' => LEAPIN_IDs::$leapin_mobile_menu_hide_sns_btns,
    'label' => __('Hide SNS Buttons', 'pjax-blog'),
    'section' => $section,
    'type' => 'checkbox',
    'priority' => LEAPIN_IDs::getPriority()
));