<?php
/**
 * Primary Menu Setting
 *
 * @author LeapIn Corp.
 * @since 1.0.0
 */
$panel = 'leapin_settings';
$section = 'leapin_primary_menu';
LEAPIN_IDs::initPriority();

$wp_customize->add_section($section_id = $section, array(
    'title' => __('Main Header Menu', 'pjax-blog'),
    'panel' => $panel,
    'description' => '<em>' . __('This section handles the all default settings for your website Main Header Menu. Choose the best colors that suites your company and personality.', 'pjax-blog') . '</em>', // Include html tags such as <p>.
    'priority' => 10, // Mixed with top-level-section hierarchy.
));

$wp_customize->add_setting($setting_id = LEAPIN_IDs::$leapin_primary_heading_2, array(
    'type' => 'theme_mod', // or 'option'
    'sanitize_callback' => 'leapin_sanitize_mock',
));
$wp_customize->add_control(new LEAPIN_Heading_Customize_Control($wp_customize, LEAPIN_IDs::$leapin_primary_heading_2, array(
    'settings' => LEAPIN_IDs::$leapin_primary_heading_2,
    'label' => __('Logo Area', 'pjax-blog'),
    'section' => $section,
    'priority' => LEAPIN_IDs::getPriority()
)));
/**
 * Logo Image.
 */
//$wp_customize->add_setting($setting_id = LEAPIN_IDs::$leapin_logo, array(
//    'type' => 'theme_mod',
//    'capability' => 'manage_options',
//    'transport' => LEAPIN_IDs::$refresh,
//    'sanitize_callback' => 'esc_url_raw',
//));
//
//$wp_customize->add_control(new WP_Customize_Image_Control($wp_customize, LEAPIN_IDs::$leapin_logo,
//    array(
//        'label' => __('Upload a logo for desktop', 'pjax-blog'),
//        'section' => $section,
//        'description' => __('Logo Image must be smaller than 70px by 300px', 'pjax-blog'),
//        'settings' => LEAPIN_IDs::$leapin_logo,
//        'priority' => LEAPIN_IDs::getPriority()
//    )
//));
$wp_customize->add_setting($setting_id = LEAPIN_IDs::$leapin_logo, array(
    'sanitize_callback' => 'leapin_sanitize_mock',
));
$wp_customize->add_control(new LEAPIN_Heading_Customize_Control($wp_customize, LEAPIN_IDs::$leapin_logo, array(
    'settings' => LEAPIN_IDs::$leapin_logo,
    'label' => __('Upload a logo for desktop', 'pjax-blog'),
    'description' => sprintf(__('Please go to <a href="%s">Site Identity Section</a> to set a desktop logo.', 'pjax-blog'), leapin_get_customizer_sec_url('title_tagline')),
    'section' => $section,
    'priority' => LEAPIN_IDs::getPriority()
)));

/**
 * Logo Image Mobile
 */
$wp_customize->add_setting($setting_id = LEAPIN_IDs::$leapin_logo_mobile, array(
    'type' => 'theme_mod', // or 'option'
    'capability' => 'manage_options',
    'transport' => LEAPIN_IDs::$refresh,
    'sanitize_callback' => 'esc_url_raw',
));

$wp_customize->add_control(new WP_Customize_Image_Control($wp_customize, LEAPIN_IDs::$leapin_logo_mobile,
    array(
        'label' => __('Upload a logo for mobile', 'pjax-blog'),
        'section' => $section,
        'description' => __('Logo Image must be smaller than 70px by 300px', 'pjax-blog'),
        'settings' => LEAPIN_IDs::$leapin_logo_mobile,
        'priority' => LEAPIN_IDs::getPriority()
    )
));

/**
 * Menu Default State Link Color
 */
$wp_customize->add_setting($setting_id = LEAPIN_IDs::$leapin_logo_typo_color, array(
    'type' => 'theme_mod', // or 'option'
    'capability' => 'manage_options',
    'default' => '',
    'transport' => LEAPIN_IDs::$postMessage,
    'sanitize_callback' => 'leapin_sanitize_rgba_color'
));
$wp_customize->add_control( new LEAPIN_Customize_Alpha_Color_Control($wp_customize, LEAPIN_IDs::$leapin_logo_typo_color, array(
    'label' => __('Logo Color', 'pjax-blog'),
    'section' => $section,
    'settings' => LEAPIN_IDs::$leapin_logo_typo_color,
    'show_opacity'  => true,
    'priority' => LEAPIN_IDs::getPriority()
)));

/**
 * Logo Hover State
 */
$wp_customize->add_setting($setting_id = LEAPIN_IDs::$leapin_logo_typo_color_hover, array(
    'type' => 'theme_mod', // or 'option'
    'capability' => 'manage_options',
    'default' => '',
    'transport' => LEAPIN_IDs::$refresh,
    'sanitize_callback' => 'leapin_sanitize_rgba_color'
));
$wp_customize->add_control( new LEAPIN_Customize_Alpha_Color_Control($wp_customize, LEAPIN_IDs::$leapin_logo_typo_color_hover, array(
    'label' => __('Logo Color(Hover)', 'pjax-blog'),
    'section' => $section,
    'settings' => LEAPIN_IDs::$leapin_logo_typo_color_hover,
    'show_opacity'  => true,
    'priority' => LEAPIN_IDs::getPriority()
)));

/**
 * Site Description Color
 */
$wp_customize->add_setting($setting_id = LEAPIN_IDs::$leapin_logo_des_color, array(
    'type' => 'theme_mod', // or 'option'
    'capability' => 'manage_options',
    'default' => '',
    'transport' => LEAPIN_IDs::$refresh,
    'sanitize_callback' => 'leapin_sanitize_rgba_color'
));
$wp_customize->add_control( new LEAPIN_Customize_Alpha_Color_Control($wp_customize, LEAPIN_IDs::$leapin_logo_des_color, array(
    'label' => __('Site Description Color', 'pjax-blog'),
    'section' => $section,
    'settings' => LEAPIN_IDs::$leapin_logo_des_color,
    'show_opacity'  => true,
    'priority' => LEAPIN_IDs::getPriority()
)));

/**
 * Hide Site Description
 */
$wp_customize->add_setting($setting_id = LEAPIN_IDs::$leapin_hide_site_description, array(
    'type' => 'theme_mod', // or 'option'
    'capability' => 'manage_options',
    'transport' => LEAPIN_IDs::$postMessage,
    'sanitize_callback' => 'leapin_sanitize_checkbox',
));
$wp_customize->add_control(LEAPIN_IDs::$leapin_hide_site_description, array(
    'settings' => LEAPIN_IDs::$leapin_hide_site_description,
    'label' => __('Hide Site Description', 'pjax-blog'),
    'section' => $section,
    'type' => 'checkbox',
    'priority' => LEAPIN_IDs::getPriority()
));


/**
 * Make Header Transparent
 */
$wp_customize->add_setting($setting_id = LEAPIN_IDs::$leapin_header_transparent, array(
    'type' => 'theme_mod', // or 'option'
    'capability' => 'manage_options',
    'transport' => LEAPIN_IDs::$refresh,
    'sanitize_callback' => 'leapin_sanitize_checkbox',
));
$wp_customize->add_control(LEAPIN_IDs::$leapin_header_transparent, array(
    'settings' => LEAPIN_IDs::$leapin_header_transparent,
    'label' => __('Make Header Transparent', 'pjax-blog'),
    'section' => $section,
    'type' => 'checkbox',
    'priority' => LEAPIN_IDs::getPriority()
));

$wp_customize->add_setting($setting_id = LEAPIN_IDs::$leapin_primary_heading, array(
    'type' => 'theme_mod', // or 'option'
    'sanitize_callback' => 'leapin_sanitize_mock',
));
$wp_customize->add_control(new LEAPIN_Heading_Customize_Control($wp_customize, LEAPIN_IDs::$leapin_primary_heading, array(
    'settings' => LEAPIN_IDs::$leapin_primary_heading,
    'label' => __('Menu Area', 'pjax-blog'),
    'section' => $section,
    'priority' => LEAPIN_IDs::getPriority()
)));

/**
 * Menu Background Color.
 */
$wp_customize->add_setting($setting_id = LEAPIN_IDs::$leapin_header_menu_background, array(
    'type' => 'theme_mod',
    'capability' => 'manage_options',
    'default' => '',
    'transport' => LEAPIN_IDs::$refresh,
    'sanitize_callback' => 'leapin_sanitize_rgba_color',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, LEAPIN_IDs::$leapin_header_menu_background, array(
    'label' => __('Menu Background', 'pjax-blog'),
    'section' => $section,
    'settings' => LEAPIN_IDs::$leapin_header_menu_background,
    'priority' => LEAPIN_IDs::getPriority()
)));

/**
 * Menu Link State Link Color
 */
$wp_customize->add_setting($setting_id = LEAPIN_IDs::$leapin_primary_menu_link_color, array(
    'type' => 'theme_mod', // or 'option'
    'capability' => 'manage_options',
    'default' => '',
    'transport' => LEAPIN_IDs::$refresh,
    'sanitize_callback' => 'leapin_sanitize_rgba_color'
));
$wp_customize->add_control(new LEAPIN_Customize_Alpha_Color_Control($wp_customize, LEAPIN_IDs::$leapin_primary_menu_link_color, array(
    'label' => __('Link Color', 'pjax-blog'),
    'section' => $section,
    'settings' => LEAPIN_IDs::$leapin_primary_menu_link_color,
    'show_opacity' => true,
    'priority' => LEAPIN_IDs::getPriority()
)));

/**
 * Menu Description Color
 */
$wp_customize->add_setting($setting_id = LEAPIN_IDs::$leapin_primary_menu_desc_color, array(
    'type' => 'theme_mod', // or 'option'
    'capability' => 'manage_options',
    'default' => '',
    'transport' => LEAPIN_IDs::$refresh,
    'sanitize_callback' => 'leapin_sanitize_rgba_color'
));
$wp_customize->add_control(new LEAPIN_Customize_Alpha_Color_Control($wp_customize, LEAPIN_IDs::$leapin_primary_menu_desc_color, array(
    'label' => __('Description Color', 'pjax-blog'),
    'section' => $section,
    'settings' => LEAPIN_IDs::$leapin_primary_menu_desc_color,
    'show_opacity' => true,
    'priority' => LEAPIN_IDs::getPriority()
)));


/**
 * Active & Hover Link State
 */
$wp_customize->add_setting($setting_id = LEAPIN_IDs::$leapin_primary_menu_link_color_hover, array(
    'type' => 'theme_mod', // or 'option'
    'capability' => 'manage_options',
    'default' => '',
    'transport' => LEAPIN_IDs::$refresh,
    'sanitize_callback' => 'leapin_sanitize_rgba_color'
));
$wp_customize->add_control(new LEAPIN_Customize_Alpha_Color_Control($wp_customize, LEAPIN_IDs::$leapin_primary_menu_link_color_hover, array(
    'label' => __('Link Hover Color', 'pjax-blog'),
    'section' => $section,
    'settings' => LEAPIN_IDs::$leapin_primary_menu_link_color_hover,
    'show_opacity' => true,
    'priority' => LEAPIN_IDs::getPriority()
)));

/**
 * Active & Hover Accent State
 */
$wp_customize->add_setting($setting_id = LEAPIN_IDs::$leapin_primary_menu_accent_color, array(
    'type' => 'theme_mod', // or 'option'
    'capability' => 'manage_options',
    'default' => '',
    'transport' => LEAPIN_IDs::$refresh,
    'sanitize_callback' => 'leapin_sanitize_rgba_color'
));
$wp_customize->add_control(new LEAPIN_Customize_Alpha_Color_Control($wp_customize, LEAPIN_IDs::$leapin_primary_menu_accent_color, array(
    'label' => __('Accent Hover Color', 'pjax-blog'),
    'section' => $section,
    'settings' => LEAPIN_IDs::$leapin_primary_menu_accent_color,
    'show_opacity' => true,
    'priority' => LEAPIN_IDs::getPriority()
)));

/**
 * Border Bottom Color
 */
$wp_customize->add_setting($setting_id = LEAPIN_IDs::$leapin_primary_menu_border_bottom_color, array(
    'type' => 'theme_mod', // or 'option'
    'capability' => 'manage_options',
    'default' => '',
    'transport' => LEAPIN_IDs::$refresh,
    'sanitize_callback' => 'leapin_sanitize_rgba_color'
));
$wp_customize->add_control(new LEAPIN_Customize_Alpha_Color_Control($wp_customize, LEAPIN_IDs::$leapin_primary_menu_border_bottom_color, array(
    'label' => __('Border Bottom Color', 'pjax-blog'),
    'section' => $section,
    'settings' => LEAPIN_IDs::$leapin_primary_menu_border_bottom_color,
    'show_opacity' => true,
    'priority' => LEAPIN_IDs::getPriority()
)));

/**
 * Hide Search Icon
 */
$wp_customize->add_setting($setting_id = LEAPIN_IDs::$leapin_hide_primary_menu_search_icon, array(
    'type' => 'theme_mod', // or 'option'
    'capability' => 'manage_options',
    'transport' => LEAPIN_IDs::$refresh,
    'sanitize_callback' => 'leapin_sanitize_checkbox',
));
$wp_customize->add_control(LEAPIN_IDs::$leapin_hide_primary_menu_search_icon, array(
    'settings' => LEAPIN_IDs::$leapin_hide_primary_menu_search_icon,
    'label' => __('Hide Search Icon', 'pjax-blog'),
    'section' => $section,
    'type' => 'checkbox',
    'priority' => LEAPIN_IDs::getPriority()
));